Gmane
From: Michael Renzmann <svn-commits <at> madwifi.org>
Subject: revision 3832 committed
Newsgroups: gmane.linux.drivers.madwifi.cvs
Date: 2008-07-31 11:18:26 GMT (23 weeks, 1 day, 16 hours and 37 minutes ago)
Project     : madwifi
Revision    : 3832
Author      : mrenzmann (Michael Renzmann)
Date        : 2008-07-31 13:18:26 +0200 (Thu, 31 Jul 2008)

Log Message :
Prevent complaint from grep in case Subversion has not yet saved any (simple) 
authentication information.

Affected Files:
* madwifi/trunk/scripts/make-release.bash             updated             

Modified: madwifi/trunk/scripts/make-release.bash
===================================================================
--- madwifi/trunk/scripts/make-release.bash	2008-07-31 11:09:20 UTC (rev 3831)
+++ madwifi/trunk/scripts/make-release.bash	2008-07-31 11:18:26 UTC (rev 3832)
@@ -53,6 +53,8 @@
 valid=0
 repos=$(svn info | grep "Repository Root" | cut -d" " -f3)
 for f in ~/.subversion/auth/svn.simple/*; do
+	[ -f $f ] || continue
+	
 	if [[ "$(grep -c "$repos" $f)" != "0" ]]; then
 		valid=1
 		break

-------------------------------------------------------------------------
This SF.Net email is sponsored by the Moblin Your Move Developer's challenge
Build the coolest Linux based applications with Moblin SDK & win great prizes
Grand prize is a trip for two to an Open Source event anywhere in the world
http://moblin-contest.org/redirect.php?banner_id=100&url=/